clang 10.0.0git

Namespaces | Functions
Version.cpp File Reference
`#include "clang/Basic/Version.h"`
`#include "clang/Basic/LLVM.h"`
`#include "clang/Config/config.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <cstdlib>`
`#include <cstring>`
Include dependency graph for Version.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Functions
std::string | clang::getClangRepositoryPath ()
| Retrieves the repository path (e.g., Subversion path) that identifies the particular Clang branch, tag, or trunk from which this Clang was built. More...
std::string | clang::getLLVMRepositoryPath ()
| Retrieves the repository path from which LLVM was built. More...
std::string | clang::getClangRevision ()
| Retrieves the repository revision number (or identifier) from which this Clang was built. More...
std::string | clang::getLLVMRevision ()
| Retrieves the repository revision number (or identifier) from which LLVM was built. More...
std::string | clang::getClangFullRepositoryVersion ()
| Retrieves the full repository version that is an amalgamation of the information in getClangRepositoryPath() and getClangRevision(). More...
std::string | clang::getClangFullVersion ()
| Retrieves a string representing the complete clang version, which includes the clang version number, the repository version, and the vendor tag. More...
std::string | clang::getClangToolFullVersion (StringRef ToolName)
std::string | clang::getClangFullCPPVersion ()
| Retrieves a string representing the complete clang version suitable for use in the CPP VERSION macro, which includes the clang version number, the repository version, and the vendor tag. More...